%define with_php 0

%ifarch %mips %arm
%define build_java 0
%else
%define build_java 1
%endif
%ifarch %mips
%define build_mono 0
%else
%define build_mono 1
%endif

Summary:	Bindings for the Xapian
Name:		xapian-bindings
Version:	1.2.12
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/Other
URL:		http://www.xapian.org
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
Patch0:		xapian-bindings-1.2.2-no-pyc.patch
Patch1:		xapian-bindings-1.2.3-linkage.patch
BuildRequires:	xapian-devel >= %{version}
BuildRequires:	python-devel
%if %with_php
BuildRequires:	php-devel
BuildRequires:	php-cli
%endif
BuildRequires:	tcl-devel
%if %build_java
BuildRequires:	java-rpmbuild
%endif
BuildRequires:	ruby-devel
%if %build_mono
BuildRequires:	mono-devel
%endif

%description
SWIG and JNI bindings allowing Xapian to be used from various 
other programming languages.

%if %build_java
%package java
Summary:	Files needed for developing Java applications which use Xapian
Group:		Development/Java
Requires:	xapian >= %{version}
Requires:	java

%description java
This package provides the files needed for developing Java applications which
use Xapian.
%endif

%if %build_mono
%package mono
Summary:	Files needed for developing C# applications which use Xapian
Group:		Development/C#
Requires:	xapian >= %{version}
Requires:	mono

%description mono
This package provides the files needed for developing 
C# applications which use Xapian.
%endif

%if %with_php
%package php
Summary:	Files needed for developing PHP scripts which use Xapian
Group:		Development/PHP
Requires:	xapian >= %{version}
Requires:	php

%description php
This package provides the files needed for developing 
PHP scripts which use Xapian.
%endif

%package python
Summary:	Files needed for developing Python scripts which use Xapian
Group:		Development/Python
Requires:	xapian >= %{version}
Requires:	python >= 2.5

%description python
This package provides the files needed for developing 
Python scripts which use Xapian.

%package ruby
Summary:	Files needed for developing Ruby applications which use Xapian
Group:		Development/Ruby
Requires:	xapian >= %{version}
Requires:	ruby

%description ruby
This package provides the files needed for developing 
Ruby applications which use Xapian.

%package tcl
Summary:	Files needed for developing TCL scripts which use Xapian
Group:		Development/Other
Requires:	xapian >= %{version}
Requires:	tcl

%description tcl
This package provides the files needed for developing 
TCL scripts which use Xapian.

%prep
%setup -q
%patch0 -p1
#%patch1 -p0 -b .link

%build
# (tpg) do not check for this, to much effort to provide a patch
%define Werror_cflags %nil

# We want to avoid using jni.h from libgcj-devel, so we force
# the includedir instead of using ./configure detection, which would
# default to libgcj jni.h:
# - Anssi (12/2007)
export CPPFLAGS="%{optflags} -I%{java_home}/include"
export JDK_HOME=%{java_home}
export TCL_LIB=%{tcl_sitearch}
autoreconf -fiv
%configure2_5x \
%if %build_mono
	--with-csharp \
%endif
%if %with_php
	--with-php \
%endif
	--with-python \
	--with-ruby \
	--with-tcl \
%if %build_java
	--with-java
%endif


%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %build_java
# Move to a proper location
install -d -m755 %{buildroot}%{_libdir}
mv %{buildroot}%{_builddir}/%{name}-%{version}/java/built/libxapian_jni.so %{buildroot}%{_libdir}

# Install the needed jar file as well
install -d -m755 %{buildroot}%{_jnidir}
install -m644 java/built/xapian_jni.jar %{buildroot}%{_jnidir}
%endif

%if %build_java
%files java
%{_libdir}/libxapian_jni.so
%{_jnidir}/xapian_jni.jar
%endif

%if %build_mono
%files mono
%doc %{_docdir}/xapian-bindings/csharp
%{_libdir}/_XapianSharp.so
%{_libdir}/mono/XapianSharp/XapianSharp.dll
%{_libdir}/mono/gac/XapianSharp/%{version}*/XapianSharp.dll
%endif

%if %with_php
%files php
%doc %{_docdir}/xapian-bindings/php
%{_libdir}/php/extensions/xapian.so
%{_datadir}/php5/xapian.php
%endif

%files python
%doc %{_docdir}/xapian-bindings/python
%{python_sitearch}/xapian/*.py*
%{python_sitearch}/xapian/*.so

%files ruby
%doc %{_docdir}/xapian-bindings/ruby
%{ruby_sitearchdir}/_xapian.so
%{ruby_sitelibdir}/xapian.rb

%files tcl
%doc %{_docdir}/xapian-bindings/tcl8
%{tcl_sitearch}/xapian%{version}/*



%changelog

* Mon Mar 18 2013 rtp <rtp> 1.2.12-4.mga3
+ Revision: 403939
- Modify spec to allow building without java/mono and disable java on arm

* Mon Jan 14 2013 umeabot <umeabot> 1.2.12-3.mga3
+ Revision: 386436
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2.12-2.mga3
+ Revision: 308561
- update RPM group

* Thu Sep 13 2012 dmorgan <dmorgan> 1.2.12-1.mga3
+ Revision: 293598
- New version
- Rebuild against Java7

  + tv <tv>
    - new release

* Mon Jul 18 2011 dmorgan <dmorgan> 1.2.6-2.mga2
+ Revision: 125667
- Fix xapian requires
- Fix java requires

* Mon Jul 18 2011 dmorgan <dmorgan> 1.2.6-1.mga2
+ Revision: 125570
- Update to 1.2.6
  Disable php package ( does not build )

  + ennael <ennael>
    - remove buildroot definition
    - imported package xapian-bindings


* Sun May 08 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1mdv2011.0
+ Revision: 672574
- update to new version 1.2.5
- fix file list

* Wed Nov 17 2010 Funda Wang <fwang@mandriva.org> 1.2.3-3mdv2011.0
+ Revision: 598309
- fix link with languages

* Wed Nov 17 2010 Funda Wang <fwang@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 598299
- rebuild for py2.7

* Sun Aug 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 574209
- update to new version 1.2.3

* Fri Jul 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.2-1mdv2011.0
+ Revision: 557318
- update to new version 1.2.2
- rediff patch 0
- update file list

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.19-1mdv2010.1
+ Revision: 539272
- update to new version 1.0.19

* Sun Nov 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.17-1mdv2010.1
+ Revision: 469121
- update to new version 1.0.17

* Mon Oct 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.16-2mdv2010.0
+ Revision: 454328
- fix dependencies

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.16-1mdv2010.0
+ Revision: 440610
- update to new version 1.0.16

* Mon Aug 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.15-1mdv2010.0
+ Revision: 422741
- update to new version 1.0.15

* Thu Jul 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.14-1mdv2010.0
+ Revision: 404785
- Disable parallel build in order to fix out of memory errors in Java
- update to new version 1.0.14

* Fri Jun 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.13-1mdv2010.0
+ Revision: 387404
- update to new version 1.0.13

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.12-1mdv2010.0
+ Revision: 373748
- update to new version 1.0.12
- drop patch 1
- fix file list for mono subpackage

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 1.0.10-1mdv2009.1
+ Revision: 328220
- fix building

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.0.10
    - use %%define Werror_cflags %%nil, as providing a patch for this would take some time

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.9-2mdv2009.1
+ Revision: 310409
- rebuild for new tcl
- move tcl bindings to new location per policy

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.9-1mdv2009.1
+ Revision: 299653
- update to new version 1.0.9

* Fri Sep 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.8-1mdv2009.0
+ Revision: 281117
- update to new version 1.0.8

* Sat Jul 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.7-1mdv2009.0
+ Revision: 238697
- drop patch 0
- update to new version 1.0.7

* Tue Apr 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6-1mdv2009.0
+ Revision: 196589
- Patch0: fix tcllibdir
- fix file list
- drop patch0, merged upstream
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - fix description-line-too-long

* Fri Dec 28 2007 Anssi Hannula <anssi@mandriva.org> 1.0.5-1mdv2008.1
+ Revision: 139004
- install java files properly
- fix java build

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - provide patch 0 (fixes ruby docs install)
    - try to use java-1.7.0-icedtea
    - new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1mdv2008.1
+ Revision: 103798
- new version

* Sun Oct 14 2007 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 98138
- fix ruby bindings dir
- New version 1.0.3

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 49877
- own missing file
- new version

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 39741
- fix file list
- new version

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 30520
- fix requires

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2008.0
+ Revision: 30319
- Import xapian-bindings

